Name:           qdevelop
Version:        0.29
Release:        %mkrel 9
Summary:        Development environment dedicated to Qt4
Group:          Development/C++
License:        GPLv2+
URL:            http://code.google.com/p/qdevelop
Source0:        %{name}-v%{version}.tar.gz
# http://code.google.com/p/qdevelop/issues/detail?id=391
Patch0:         %{name}-%{version}-mga-i18n-desktop.patch
Patch1:         qdevelop-v0.29-gcc7.patch
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel

%description
QDevelop is a development environment entirely dedicated to Qt4, which
requires Qt4, gcc, possibly gdb for program debugging and ctags for
code completion.

%package plugins
Summary: Plugins for %{name}
Group: Development/C++
Requires: %{name} = %{version}

%description plugins
This package contains plugins for %{name}.

%prep
%setup -qn %{name}-v%{version}
%autopatch -p1
# for wrong-script-end-of-line-encoding
sed -i -e 's/\r//' README.txt
# hardcoded lib path
sed -i -e "s/lib/%{_lib}/" src/mainimpl.cpp
# Change translation directory
sed -i -e "s/lib\//share\//" src/main.cpp
# Change initialization to avoid compilation error with Qt 4.7.0
sed -i -e "s/=0/=QString::null/" src/build.h
sed -i -e "s/ttf=0/ttf=QString::null/" src/textEdit.h

%build
%{qt4bin}/lrelease QDevelop.pro
%qmake_qt4 -recursive
%make_build
# plugins compilation
cd plugins
for pluginName in $(ls)
do
   cd $pluginName
   %qmake_qt4
   %make_build
   cd ..
done

%install
%make_install INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps/ %{buildroot}%{_libdir}/%{name}/plugins/ %{buildroot}%{_datadir}/%{name}/translations/
install -Dp bin/plugins/*.so %{buildroot}%{_libdir}/%{name}/plugins/
install -pDm644 resources/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/
install -pDm644 resources/images/logo.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --mode 644 --dir %{buildroot}%{_datadir}/applications/ %{name}.desktop

%files
%doc README.txt ChangeLog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%files plugins
%{_libdir}/%{name}


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.29-9.mga8
+ Revision: 1516222
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.29-8.mga7
+ Revision: 1300639
- Mageia 7 Mass Rebuild

* Tue Oct 10 2017 cjw <cjw> 0.29-7.mga7
+ Revision: 1170624
- patch1: fix build with gcc 7

* Tue Feb 09 2016 umeabot <umeabot> 0.29-6.mga6
+ Revision: 951822
- Mageia 6 Mass Rebuild

* Wed Jan 07 2015 alexl <alexl> 0.29-5.mga5
+ Revision: 809135
- changed GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.29-4.mga5
+ Revision: 745620
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.29-3.mga5
+ Revision: 688471
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 alexl <alexl> 0.29-2.mga5
+ Revision: 662547
- updated translations for desktop file (i18n-desktop.patch)
- updated url in spec
- fixed requires for qdevelop-plugins

* Mon Apr 14 2014 alexl <alexl> 0.29-1.mga5
+ Revision: 614059
- imported package qdevelop

